#### verbose Procedure ¶

Test cases can use this procedure to issue helpful messages depending on the number of `-v`/`--verbose` options passed on the command line to `runtest`. It prints message if the value of the number of `-v` options passed is greater than or equal to the loglevel argument. The default log level is 1.

> `verbose -log -x -n message loglevel`

`-log`

  Always write message to the log file, even if it won’t be printed on the console.

`-x`

  Log the message into an XML file.

`-n`

  Print message without a trailing newline.

`--`

  Use this option if message begins with ‘`-`’.

`message`

  The log messsage.

`loglevel`

  The specified log level. The default level is 1.